Questions générales sur Manjaro Linux.
S'il vous plaît, avant de poster, essayez la fonction de recherche du forum.
Répondre

Problème échec de mise à jour.

#1Messageil y a 2 mois

Bonjour à tous,

j'ai un message d’échec de mise à jour, qui persiste [alors que dans le passé ça se réglait tout seul..]
Voici le message que j'ai:
Image
Ce problème sape toutes mes mises à jour, ce qui fait que j'en ai 293 maintenant...

Est-ce que vous pourriez m'aider s'il vous plaît ?

Bien cordialement,
Johss.

Problème échec de mise à jour.

#2Messageil y a 2 mois

Bonjour,
Sauf erreur, yaourt n'est plus supporté par Manjaro depuis pas mal de temps
Il faut donc d'abord le désinstaller puis réessayer la mise à jour.

sudo pacman -Rsn yaourt

Problème échec de mise à jour.

#3Messageil y a 2 mois

Bonjour.
Oui, yaourt et package-query sont obsolète et surtout incompatible avec la version 6 de pacman.
Il est impératif de les supprimer.

sudo pacman -Rsn package-query yaourt

Problème échec de mise à jour.

#4Messageil y a 2 mois

Bonjour,
Merci Denis-pom et lemust83,
Je viens d’essayer de les désinstaller mais, ils me le refusent à cause d'un problème de dépendances..

Image

Merci pour votre aide!..
Bien cordialement,
Johss.

Problème échec de mise à jour.

#5Messageil y a 2 mois

Il faut appeler les deux paquets dans la même commande, sinon, échec.

sudo pacman -Rsn package-query yaourt
Je l'ai fais il y a longtemps avec l'option pacman -Rcsn. Le c pour --cascade supprimera automatiquement toutes les dépendances et paquets qui y sont adjoints. C'est une commande risquée, mais je l'ai faite sans problème pour ces deux paquets.
Edit: Pour les retours de commande, il faut utiliser les balises </> de la fenêtre d'édition du forum. On sélectionne le texte à la souris dans le terminal, puis Ctrl+Maj+C pour copier, ensuite on colle entre les balises ici.
Inutile de générer un fichier image.

Problème échec de mise à jour.

#6Messageil y a 2 mois

Puisque c'est pacli qui gêne, commence par le virer, puis tu supprimeras les deux autres :

sudo pacman -Rsn pacli
sudo pacman -Rsn package-query yaourt
ça t'évitera le -c (dans -Rcsn) qui est un peu dangereux

Problème échec de mise à jour.

#7Messageil y a 2 mois

yaourt et pacli ... n'existent plus (depuis longtemps) ;) voir pour remplacer si besoin (pamac,yay,...) et (pacui)

Problème échec de mise à jour.

#8Messageil y a 2 mois

Bonjour,
Merci, grâce à vous, tout est résolu !..

Excellente journée à tous.
Johss.
administration/modération
Répondre